import {
  computed,
  defineComponent, ref,
} from 'vue'

import { tools } from '@src/store/Modules/tools'
import { static_data } from '@src/db/static_data'

import { useQuasar } from 'quasar'
import { useGlobalStore } from '@store/globalStore'
import { Logo } from '@src/components/logo'
import { useI18n } from 'vue-i18n'
import { toolsext } from '@store/Modules/toolsext'
import { FormNewsletter } from '@src/components/FormNewsletter'
import { CFacebookFrame } from '@src/components/CFacebookFrame'

import MixinBase from '../../mixins/mixin-base'

export default defineComponent({
  name: 'LandingFooter',
  components: { Logo, FormNewsletter, CFacebookFrame },

  setup() {
    const $q = useQuasar()
    const globalStore = useGlobalStore()

    const { getarrValDb, getValDb } = MixinBase()

    const site = ref(globalStore.site)

    const getBackColorText = computed(() => {
      let mycol = ''
      if (globalStore.site && globalStore.site.confpages?.col_bgfooter)
        mycol = globalStore.site.confpages?.col_bgfooter
      else
        mycol = '#061f5c'

      return 'linear-gradient(180deg, ' + mycol + ' 95%, #FFF)'
    })

    // console.log('LandingFooter - INIT')

    function TelegramSupport() {
      return globalStore.getValueSettingsByKey('TELEGRAM_SUPPORT', false)
    }

    function Whatsapp_Cell() {
      return globalStore.getValueSettingsByKey('WHATSAPP_CELL', false)
    }

    function Telegram_UsernameHttp() {
      if (site.value.contacts!.telegram)
        return tools.getHttpForTelegram(site.value.contacts!.telegram)
      else
        return ''
    }

    function FBPage() {
      const fb = globalStore.getValueSettingsByKey('URL_FACEBOOK', false)
      return fb
    }

    function InstagramPage() {
      return globalStore.getValueSettingsByKey('URL_INSTAGRAM', false)
    }

    function TwitterPage() {
      return globalStore.getValueSettingsByKey('URL_TWITTER', false)
    }

    function ChatWhatsapp() {
      // @ts-ignore
      return tools.getHttpForWhatsapp(site.value.contacts.whatsapp)
    }

    return {
      TelegramSupport,
      InstagramPage,
      Whatsapp_Cell,
      TwitterPage,
      ChatWhatsapp,
      FBPage,
      Telegram_UsernameHttp,
      static_data,
      tools,
      toolsext,
      getarrValDb,
      getValDb,
      site,
      getBackColorText,
    }
  },
})
